# SQL Command Definitions:  PostgreSQL / nextuid database

# MACRO DEFINITIONS 
#   We set the name here so it will be easy to edit.
&seq_uid = bt_uid

# Create the nextuid sequence
uid_create()
{
    -DROP SEQUENCE &seq_uid;
    CREATE SEQUENCE &seq_uid MINVALUE 0;
}


# Return the next sequence number, incrementing it.
uid_next()
{
      SELECT NEXTVAL('&seq_uid');
}


# Return a guess at the next sequence number.
uid_peek()
{
      SELECT
        CASE
          WHEN is_called THEN last_value+increment
	  ELSE last_value END
        FROM &seq_uid;
}


# Set the current sequence number.  The next value returned will be one more.
uid_set($n)
{
      SELECT NEXTVAL('&seq_uid',$n,false);
}
